Obter agente de IA específico
curl --request GET \
--url https://api.olie.ai/api/management/ai/agents/{agent} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/ai/agents/{agent}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/ai/agents/{agent}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"agent": {
"id": "019b6b1a-4c21-73d6-9f0e-5a1c8d3e7b04",
"name": "Triador de entrada",
"description": "Classifica e resume os cards que chegam no funil de atendimento.",
"default_provider": "openrouter",
"default_model": "openrouter/auto-cost-based",
"base_prompt": "Leia o card recém-criado e escreva um resumo objetivo em até 3 linhas.",
"status": "active",
"tools": [
"get-project-details-tool",
"today-tool"
],
"structured_output": null,
"frame_id": "019aeaa3-2778-73ec-8f8d-59d06cc59dca",
"created_at": "2026-08-14T13:02:11.000000Z",
"updated_at": "2026-09-02T18:45:03.000000Z",
"deleted_at": null,
"created_by": "019aeaa3-2370-731c-9008-be759795f449",
"executions_count": 128,
"executions_sum_cost": "0.412800000",
"step_assistants": [
{
"id": "019b6b1b-0a77-71f2-8c44-2f9d6ab15e30",
"funnel_step_id": 3808,
"ai_agent_id": "019b6b1a-4c21-73d6-9f0e-5a1c8d3e7b04",
"funnel_step": {
"id": 3808
}
}
],
"creator": {
"id": "019aeaa3-2370-731c-9008-be759795f449",
"name": "Test User",
"avatar_url": null
}
}
}{
"response": false,
"message": "ai_agent_model_not_found",
"error": "No query results for model [App\\Models\\AiAgent] 019b6b1a-4c21-73d6-9f0e-5a1c8d3e7b04"
}ai-agents
Obter agente de IA específico
Retorna um agente de IA com a contagem e o custo somado de suas execuções e as etapas de funil em que ele atua como assistente.
GET
/
api
/
management
/
ai
/
agents
/
{agent}
Obter agente de IA específico
Was this page helpful?